<?php 
get_header(); 
global $wp_query, $data;

// checks if the page is a store page
if(substr_count($_SERVER['REQUEST_URI'], sp_extract_url(get_option('product_list_url'))))
{
    $is_paged = true;
} else {
	$is_paged = false;	
}

?>
<?php
	if (($wp_query->is_single === true) || is_page(sp_extract_url(get_option('shopping_cart_url'))) || is_page(sp_extract_url(get_option('transact_url')))) {
		$class = 'onecolumn';
		$sidebar = false;
	} elseif (is_page(sp_extract_url(get_option('product_list_url'))) || $is_paged == true) {
		if ( isset($data[THEME_SHORTNAME.'product_sidebar']) && $data[THEME_SHORTNAME.'product_sidebar'] == 'true') { 
			$sidebar = true;
			$class = 'product_sidebar';
			if (isset($data[THEME_SHORTNAME.'product_sidebar_orientation'])) {
				$orientation = $data[THEME_SHORTNAME.'product_sidebar_orientation'];
			} else {
				$orientation = 'right';	
			}
		} else {
			$class = 'onecolumn';
			$sidebar = false;	
		}
	} elseif (is_active_sidebar('sidebar-widget-area') == false) {
		$class = 'onecolumn';
		$sidebar = false;
	} else {
		$sidebar = true;	
	}
?>
		<div id="container" class="group <?php echo $class." ".$orientation; ?>">
		<div id="content" role="main">

			<div id="post-0" class="post error404 not-found">
				<h1 class="entry-title"><?php _e( 'Not Found', 'sp' ); ?></h1>
				<div class="entry-content">
					<p><?php _e( 'Apologies, but the page you requested could not be found. Perhaps searching will help.', 'sp' ); ?></p>
					<?php get_search_form(); ?>
				</div><!-- .entry-content -->
			</div><!-- #post-0 -->

		</div><!-- #content -->
            <?php 
			if ($sidebar) {
				get_sidebar(); 
			} ?>
    </div><!-- #container -->
	<script type="text/javascript">
		// focus on search field after it has loaded
		document.getElementById('s') && document.getElementById('s').focus();
	</script>

<?php get_footer(); ?>