<?php 
get_header(); 
global $wp_query, $data;
$sidebar = false;

?>
<?php
		if ( isset($data[THEME_SHORTNAME.'blog_sidebar']) && $data[THEME_SHORTNAME.'blog_sidebar'] == 'true') { 
			$sidebar = true;
			$class = 'blog_sidebar';
			if (isset($data[THEME_SHORTNAME.'blog_sidebar_orientation'])) {
				$orientation = $data[THEME_SHORTNAME.'blog_sidebar_orientation'];
			} else {
				$orientation = 'right';	
			}
		} else {
			$class = 'onecolumn';	
		}
?>
		<div id="container" class="group <?php echo $class." ".$orientation; ?>">
			<div id="content" role="main">

				<h1 class="page-title"><?php
					printf( __( 'Category Archives: %s', 'sp' ), '<span>' . single_cat_title( '', false ) . '</span>' );
				?></h1>
				<?php
					$category_description = category_description();
					if ( ! empty( $category_description ) )
						echo '<div class="archive-meta">' . $category_description . '</div>';

				get_template_part( 'loop', 'category' );
				?>
				<div class="btt group"><a href="#top" title="Back to Top">Back to Top &uarr;</a></div>
			</div><!-- #content -->
            <?php 
			if ($sidebar) {
				get_sidebar(); 
			} ?>
		</div><!-- #container -->

<?php get_footer(); ?>
