<?php 
get_header(); 
global $wp_query, $data;

// checks if the page is a store page
if(substr_count($_SERVER['REQUEST_URI'], sp_extract_url(get_option('product_list_url'))))
{
    $is_paged = true;
} else {
	$is_paged = false;	
}

?>
<?php
	if (($wp_query->is_single === true) || is_page(sp_extract_url(get_option('shopping_cart_url'))) || is_page(sp_extract_url(get_option('transact_url')))) {
		$class = 'onecolumn';
		$sidebar = false;
	} elseif (is_page(sp_extract_url(get_option('product_list_url'))) || $is_paged == true) {
		if ( isset($data[THEME_SHORTNAME.'product_sidebar']) && $data[THEME_SHORTNAME.'product_sidebar'] == 'true') { 
			$sidebar = true;
			$class = 'product_sidebar';
			if (isset($data[THEME_SHORTNAME.'product_sidebar_orientation'])) {
				$orientation = $data[THEME_SHORTNAME.'product_sidebar_orientation'];
			} else {
				$orientation = 'right';	
			}
		} else {
			$class = 'onecolumn';
			$sidebar = false;	
		}
	} elseif (is_active_sidebar('sidebar-widget-area') == false) {
		$class = 'onecolumn';
		$sidebar = false;
	} else {
		$sidebar = true;	
	}
?>
		<div id="container" class="group <?php echo $class." ".$orientation; ?>">
			<div id="content" role="main">

				<h1 class="page-title"><?php
					printf( __( 'Tag Archives: %s', 'sp' ), '<span>' . single_tag_title( '', false ) . '</span>' );
				?></h1>

<?php
/* Run the loop for the tag archive to output the posts
 * If you want to overload this in a child theme then include a file
 * called loop-tag.php and that will be used instead.
 */
 get_template_part( 'loop', 'tag' );
?>
			</div><!-- #content -->
            <?php 
			if ($sidebar) {
				get_sidebar(); 
			} ?>
		</div><!-- #container -->

<?php get_footer(); ?>
