<?php 
/* Template Name: SP Home */
get_header(); ?>
<?php
	global $data, $wp_query;
	// grab the product object
	if (isset($data[THEME_SHORTNAME.'homepage_featured_category']) && $data[THEME_SHORTNAME.'homepage_featured_category'] != '') {
		$category = $data[THEME_SHORTNAME.'homepage_featured_category'];
		$rand = $data[THEME_SHORTNAME.'homepage_featured_random'];
		$products = sp_get_products($category, '30', $rand); // limit to 30 products
	}
	
	$image_width = '500';
	$image_height = '500';
	$homepage_cycler_crop = $data[THEME_SHORTNAME.'homepage_cycler_crop'];
	$homepage_cycler_zoomcrop = $data[THEME_SHORTNAME.'homepage_cycler_zoomcrop'];
	$homepage_cycler_compression = $data[THEME_SHORTNAME.'homepage_cycler_compression'];
	

?>
            	<div id="home-cycler">
                	<div id="slides">
                    <!--start generating slide html-->
                    <?php 
                    if (is_array($products)) {
                    foreach ($products as $product) { 
                            // create the product object
                              $product_obj = get_post($product->ID); 
                              $product_description = substr($product_obj->post_content,0,450)."...";
                              $product_title = $product_obj->post_title;
                              $attached_images = (array)get_posts( array(
                                  'post_type'   => 'attachment',
                                  'numberposts' => 1,
                                  'post_status' => null,
                                  'post_parent' => $product->ID,
                                  'orderby'     => 'menu_order',
                                  'order'       => 'ASC'
                              ) );
                              $attached_image = $attached_images[0]; 
                     ?>
                        <div class="slide">
                            <div class="product_description">
                                <h2><?php echo $product_title; ?></h2>
                                <p><?php echo $product_description; ?></p>
                                <div class="price">
                                    <p><?php echo sp_wpsc_the_product_price(false,$product->ID); ?></p>
                                    <p><a href="<?php echo get_permalink($product->ID); ?>" title="<?php _e("Buy Now",'sp'); ?>" class="buynow"><?php _e("Buy Now",'sp'); ?></a></p>
                                </div><!--close price-->	
                            </div><!--close product_description-->
							<?php
                            if ( $attached_image->ID > 0 ) { ?>
                            <div class="featured_image">
                                    <img src="<?php echo get_template_directory_uri();?>/sp-framework/timthumb/timthumb.php?src=<?php echo sp_wpsc_the_product_image( $attached_image->ID); ?>&amp;h=<?php echo $image_height; ?>&amp;w=<?php echo $image_width; ?>&amp;zc=<?php echo $homepage_cycler_zoomcrop; ?>&amp;q=<?php echo $homepage_cycler_compression; ?>&amp;a=<?php echo $homepage_cycler_crop; ?>" width="<?php echo $image_width; ?>" height="<?php echo $image_height; ?>" alt="<?php _e($product1_title,'sp'); ?>" />
                            </div><!--close featured_image-->
                            <?php } else { ?>
                            <div class="featured_image">
                                    <img src="<?php echo get_template_directory_uri();?>/sp-framework/timthumb/timthumb.php?src=<?php get_template_directory_uri(); ?>/images/slider_no_image_big.jpg&amp;h=<?php echo $image_height; ?>&amp;w=<?php echo $image_width; ?>&amp;zc=<?php echo $homepage_cycler_zoomcrop; ?>&amp;q=<?php echo $homepage_cycler_compression; ?>&amp;a=<?php echo $homepage_cycler_crop; ?>" width="<?php echo $image_width; ?>" height="<?php echo $image_height; ?>" alt="<?php _e($product1_title,'sp'); ?>" />
                            </div><!--close featured_image-->
                            <?php } ?>
                        </div><!--close slide-->
    						<?php } 
							} ?>                        
                    </div><!--close slides-->
                <span class="left-arrow">&lt;</span>
				<span class="right-arrow">&gt;</span>
                        <input type="hidden" value="<?php echo $data[THEME_SHORTNAME.'homepage_cycler_interval']; ?>" class="homepage_cycler_interval" />                           
                        <input type="hidden" value="<?php echo $data[THEME_SHORTNAME.'homepage_cycler_effects']; ?>" class="homepage_cycler_effects" /> 
                    	<input type="hidden" value="<?php if (isset($data[THEME_SHORTNAME.'homepage_cycler_sync'])) { echo $data[THEME_SHORTNAME.'homepage_cycler_sync']; } ?>" class="homepage_cycler_sync" /> 
                        <input type="hidden" value="<?php echo $data[THEME_SHORTNAME.'homepage_cycler_speed']; ?>" class="homepage_cycler_speed" /> 
                        <input type="hidden" value="<?php echo $data[THEME_SHORTNAME.'homepage_cycler_easeIn']; ?>" class="homepage_cycler_easeIn" /> 
                        <input type="hidden" value="<?php echo $data[THEME_SHORTNAME.'homepage_cycler_easeOut']; ?>" class="homepage_cycler_easeOut" />    
                    	<input type="hidden" value="<?php if (isset($data[THEME_SHORTNAME.'homepage_cycler_pause'])) { echo $data[THEME_SHORTNAME.'homepage_cycler_pause']; } ?>" class="homepage_cycler_pause" />    
                </div><!--close home-cycler-->
                
                <div id="welcome">
					<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
                                        <div class="entry-content group">
                                            <?php the_content(); ?>
                                            <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'sp' ), 'after' => '</div>' ) ); ?>
                                            <?php edit_post_link( __( 'Edit', 'sp' ), '<span class="edit-link">', '</span>' ); ?>
                                        </div><!-- .entry-content -->
                    <?php endwhile; ?>
                </div><!--close welcome-->
<?php get_footer(); ?>